package net.wanji.web.controller;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import net.wanji.feign.pojo.result.JsonViewObject;
import net.wanji.web.dto.ScheduleIdDTO;
import net.wanji.web.service.impl.SchemeSendServiceImpl;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author duanruiming
 * @date 2023/01/04 16:10
 */
@Api(value = "PlanSendController", description = "方案下发")
@RequestMapping("/planSend")
@RestController
@SuppressWarnings("all")
public class PlanSendController {
    private final SchemeSendServiceImpl schemeSendService;

    public PlanSendController(SchemeSendServiceImpl schemeSendService) {
        this.schemeSendService = schemeSendService;
    }

    @ApiOperation(value = "方案下发", notes = "时间表下发")
    @PostMapping("/scheduleSend")
    public JsonViewObject timeTableSend(@RequestBody ScheduleIdDTO scheduleIdDTO) {
        JsonViewObject jsonViewObject = schemeSendService.scheduleSend(scheduleIdDTO);
        return jsonViewObject;
    }
}
